Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.sc
[Java] Class ListOfExpressionsExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.transform.sc.ListOfExpressionsExpression

    public class ListOfExpressionsExpression
    extends Expression

This class is used internally by the compiler to transform expressions like multiple assignments into a list of assignments.

Authors:
  Cedric Champeau

Constructor Summary
`ListOfExpressionsExpression()`
`ListOfExpressionsExpression(java.util.List expressions)`

Method Summary
`void` | `addExpression(Expression expression)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ListOfExpressionsExpression

    public ListOfExpressionsExpression()

### ListOfExpressionsExpression

    public ListOfExpressionsExpression(java.util.List expressions)

Method Detail

### addExpression

    public void addExpression(Expression expression)

### transformExpression

    @Override
    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    @Override
    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation